/*
 * localCPU.h
 *
 *  Created on: 2010-11-06
 *      Author: Alex Krizhevsky (akrizhevsky@gmail.com)
 */

#ifndef TRANSCPU_H_
#define TRANSCPU_H_

#include "common.h"

void cpuImgActs(float* hid2Acts, float* weights, float* targets,
               int numModulesX,  int numImages,  int numFilters,
               int filterSize,  int imgSize,  int moduleStart,  int moduleStride,  int numColors, FILTER_OUTPUT_ORDER hidActsorde);
void cpuFilterActs(float* imgGrads, float* filters, float* targets,
                    int numImages,  int numFilters,
                    int imgSize,  int filterSize,  int paddingStart,
                    int moduleStride,
                    int numModulesX,  int numColors, FILTER_OUTPUT_ORDER targetsOrder);
void cpuWeightActs(float* imgGrads, float* hid2Acts, float* targets,
                  int numImages,  int numFilters,
                  int imgSize,  int filterSize,
                  int numModulesX, int paddingStart, int moduleStride,  int numColors, FILTER_OUTPUT_ORDER hidActsorder);
#endif /* TRANSCPU_H_ */
